System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IEndpointBehavior

By default the indigo2 client or service runtime throws an exception when it encounters a in a message for which the property is true but the header is not in the property for the message.

To prevent this behavior, use the and set the property to false. Typically, this is used in scenarios where the message content is meant to be relayed somewhere else and not processed, such as a router service.

Instructs indigo1 to disable the mandatory processing of headers not in the collection that must be understood according to the SOAP 1.1 and 1.2 specifications.

- Constructor
  4.0.0.0

  Pass false as the parameter to this constructor to prevent an exception from being thrown when the runtime encounters a in a message for which the property is true but the header is not in the property for the message.

  Initializes a new instance of the class using the specified value.

  A value that specifies whether to enforce validation of mustUnderstand headers.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Implements to support behavior functionality.

  Supports behavior functionality.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Implements the method to support behavior functionality.

  Assigns the value of to the property.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Implements the to support behavior functionality.

  Assigns the value of to the property.

- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method to support behavior functionality.

  Supports behavior functionality.

- Property
  4.0.0.0
  System.Boolean To be added.

  Set the property to false to prevent an exception from being thrown when the runtime encounters a in a message for which the property is true but the header is not in the property for the message.

  Gets or sets a value that specifies whether to ensure that a header is understood according to the SOAP 1.1 and 1.2 specifications.